org.eclipse.emf.facet.query.ocl.metamodel.oclquery

## Interface OclQueryFactory

    public interface OclQueryFactory

The Factory for the model. It provides a create method for each non-abstract class of the model.

See Also:
  `OclQueryPackage`
Generated:

### Field Summary

Fields
`static OclQueryFactory` `eINSTANCE` The singleton instance of the factory.

### Method Summary

All Methods Instance Methods Abstract Methods
`OclQuery` `createOclQuery()` Returns a new object of class 'Ocl Query'.
`OclQueryPackage` `getOclQueryPackage()` Returns the package supported by this factory.

### Field Detail

#### eINSTANCE

    static final OclQueryFactory eINSTANCE

The singleton instance of the factory.

Generated:

### Method Detail

#### createOclQuery

    OclQuery createOclQuery()

Returns a new object of class 'Ocl Query'.

Returns:
  a new object of class 'Ocl Query'.
Generated:

#### getOclQueryPackage

    OclQueryPackage getOclQueryPackage()

Returns the package supported by this factory.

Returns:
  the package supported by this factory.
Generated: